\begin{thebibliography}{10}

\bibitem{ahmia.fi}
Ahmia.
\newblock Indexing and crawling.
\newblock \url{https://ahmia.fi/documentation/indexing/}.

\bibitem{sauteed-onion-artifacts}
Artifact.
\newblock
  \url{https://gitlab.torproject.org/tpo/onion-services/sauteed-onions}, 02022.

\bibitem{le}
J. Aas, R. Barnes, B. Case, Z. Durumeric, P. Eckersley, A. Flores{-}L{\'{o}}pez, J.A. Halderman, J. Hoffman{-}Andrews, J. Kasten, E. Rescorla, S.D. Schoen,  B. Warren.
\newblock {Let's Encrypt}: An automated certificate authority to encrypt the entire web.
\newblock {\em Proc.\ ACM CCS}, 02019.

\bibitem{le-multi-path}
H. Birge{-}Lee, L. Wang, D. McCarney, R. Shoemaker, J. Rexford,  P. Mittal.
\newblock Experiences deploying multi-vantage-point domain validation at Let's Encrypt.
\newblock {\em Proc.\ USENIX Sec.}, 02021.

\bibitem{cab-ballot144}
CA/Browser Forum.
\newblock Ballot 144 -- validation rules for .onion names.
\newblock \url{https://cabforum.org/2015/02/18/ballot-144-validation-rules-dot-onion-names/}, 02015.

\bibitem{cab-onion-dv}
CA/Browser Forum.
\newblock Ballot sc27v3: Version 3 onion certificates.
\newblock \url{https://cabforum.org/2020/02/20/ballot-sc27v3-version-3-onion-certificates/}, 02020.

\bibitem{chuat-gossip}
L. Chuat, P. Szalachowski, A. Perrig, B. Laurie,  E. Messeri.
\newblock Efficient gossip protocols for verifying the consistency of certificate logs.
\newblock {\em Proc.\ IEEE CNS}, 02015.

\bibitem{lwm}
R. Dahlberg  T. Pulls.
\newblock Verifiable light-weight monitoring for {Certificate Transparency} logs.
\newblock {\em Proc.\ NordSec}, 02018.

\bibitem{smt}
R. Dahlberg, T. Pulls,  R. Peeters.
\newblock Efficient sparse {Merkle} trees - caching strategies and secure (non-)membership proofs.
\newblock {\em Proc.\ NordSec}, 02016.

\bibitem{ctor-popets}
R. Dahlberg, T. Pulls, T. Ritter,  P. Syverson.
\newblock Privacy-preserving \& incrementally-deployable support for {Certificate Transparency} in {Tor}.
\newblock {\em PoPETs} 2021(2), 02021.

\bibitem{digicert-onion}
DigiCert Inc.
\newblock Ordering a .onion certificate from {DigiCert}.
\newblock \url{https://www.digicert.com/blog/ordering-a-onion-certificate-from-digicert}.

\bibitem{tor-design}
R. Dingledine, N. Mathewson,  P. Syverson.
\newblock {Tor: The Second-Generation Onion Router}.
\newblock {\em Proc.\ USENIX Sec.}, 02004.

\bibitem{ct-foundation}
B. Dowling, F. G{\"{u}}nther, U. Herath,  D. Stebila.
\newblock Secure logging schemes and certificate transparency.
\newblock {\em Proc.\ ESORICS}, 02016.

\bibitem{vds}
A. Eijdenberg, B. Laurie,  A. Cutter.
\newblock Verifiable data structures.
\newblock \url{https://github.com/google/trillian/blob/111e9369ab032e493a2f19f9be6d16c4f78ccca5/docs/papers/VerifiableDataStructures.pdf}, 02018.

\bibitem{certbot}
EFF.
\newblock Changing a certificate's domain.
\newblock \url{https://eff-certbot.readthedocs.io/en/stable/using.html\#changing-a-certificate-s-domains}.

\bibitem{fink}
A. Fink.
\newblock Mnemonic .onion URLs.
\newblock \url{https://gitweb.torproject.org/torspec.git/tree/proposals/194-mnemonic-urls.txt}, 02012.

\bibitem{dangerous-labels}
D.K. Gillmor.
\newblock {Dangerous Labels in DNS and E-mail}.
\newblock Internet-Draft draft-dkg-intarea-dangerous-labels-01, IETF, 02022.

\bibitem{chrome-logs}
Google Inc.
\newblock Known logs.
\newblock \url{https://github.com/google/certificate-transparency-community-site/blob/master/docs/google/known-logs.md}, 02022.

\bibitem{harica-onion}
\relax{Harica}.
\newblock {DV} certificates for onion websites.
\newblock \url{https://news.harica.gr/article/onion_announcement/}, 02021.

\bibitem{kadianakis}
G. Kadianakis, Y. Angel,  D. Goulet.
\newblock A name system API for Tor Onion Services.
\newblock \url{https://gitweb.torproject.org/torspec.git/tree/proposals/279-naming-layer-api.txt}, 02016.

\bibitem{ct/a}
B. Laurie.
\newblock Certificate Transparency.
\newblock {\em Commun. {ACM}}, 57(10):40--46, 02014.

\bibitem{trans-laurie}
B. Laurie.
\newblock Re: {[Trans]} {Mozilla's} basic take on binary transparency.
\newblock \url{https://mailarchive.ietf.org/arch/msg/trans/1FxzTkn4LVxU6KN2P3YfbVsKpho/}, 02017.

%\bibitem{revocation-transparency}
%B. Laurie  E. Kasper.
%\newblock Revocation Transparency.
%\newblock \url{https://www.links.org/files/RevocationTransparency.pdf}, 02012.

\bibitem{ct-rfc}
B. Laurie, A. Langley,  E. Kasper.
\newblock Certificate Transparency.
\newblock \url{https://tools.ietf.org/html/rfc6962}, 02013.

\bibitem{li}
B. Li, J. Lin, F. Li, Q. Wang, Qi~Li, J. Jing,  C. Wang.
\newblock Certificate Transparency in the wild: Exploring the reliability of monitors.
\newblock {\em Proc. ACM CCS}, 02019.

\bibitem{coniks}
M.S. Melara, A. Blankstein, J. Bonneau, E.W. Felten, M.J. Freedman.
\newblock {CONIKS}: Bringing key transparency to end users.
\newblock {\em USENIX Sec.}, 02015.

\bibitem{russia-blocks}
S. Migliano  S. Woodhams.
\newblock Websites blocked in Russia since Ukraine invasion.
\newblock \url{https://www.top10vpn.com/research/websites-blocked-in-russia/}, 02022.

\bibitem{vanity-address}
mkp224o---vanity address generator for ed25519 onion services.
\newblock \url{https://github.com/cathugger/mkp224o}, 02022.

\bibitem{mozilla-bt}
Mozilla.
\newblock Security/binary transparency.
\newblock \url{https://wiki.mozilla.org/Security/Binary_Transparency}, 02017.

\bibitem{muffet-onions}
A. Muffet.
\newblock Real-world onion sites.
\newblock \url{https://github.com/alecmuffett/real-world-onion-sites}, 02022.
  
\bibitem{sooc}
A. Muffett.
\newblock Same origin onion certificates.
\newblock \url{https://crt.sh/?id=6819596552}, 02020.

\bibitem{namecoin}
Namecoin.
\newblock \url{https://www.namecoin.org/}.

\bibitem{nordberg-tor}
L. Nordberg.
\newblock {Tor} consensus transparency.
\newblock \url{https://gitweb.torproject.org/torspec.git/tree/proposals/267-tor-consensus-transparency.txt}, 02014.

\bibitem{nordberg-gossip}
L. Nordberg, D.K. Gillmor,  T. Ritter.
\newblock Gossiping in {CT}.
\newblock Internet-draft draft-ietf-trans-gossip-05, IETF, 02018.

\bibitem{nurmi}
J. Nurmi.
\newblock {\em Understanding the Usage of Anonymous Onion Services}.
\newblock PhD thesis, Tampere University, Tampere, Finland, 02019.

\bibitem{haroi-tor-dev}
nusenu.
\newblock {HAROI}: Human readable authenticated relay operator identifier.
\newblock \url{https://lists.torproject.org/pipermail/tor-dev/2021-December/014688.html}, 02021.

\bibitem{onion-location}
Tor Project.
\newblock Onion-location.
\newblock \url{https://community.torproject.org/onion-services/advanced/onion-location/}.

\bibitem{onion-service-overview}
Tor Project.
\newblock Onion services.
\newblock \url{https://community.torproject.org/onion-services/}.

\bibitem{rhatto}
Silvio Rhatto.
\newblock Sauteed week {API} backend.
\newblock \url{https://gitlab.torproject.org/rhatto/sauteed-week/-/blob/main/docs/api.md}, 02022.

\bibitem{sauteed-onion-cert}
Sauteed onion certificate.
\newblock \url{https://crt.sh/?id=5957691193}, 02022.

\bibitem{onion-dns}
N. Scaife, H. Carter,  P. Traynor.
\newblock OnionDNS: {A} seizure-resistant top-level domain.
\newblock {\em Proc.\ IEEE CNS}, 02015.

\bibitem{ct-in-chrome}
E. Stark, J. DeBlasio, D. O'Brien, D. Balzarotti, W. Enck, S. King,  A. Stavrou.
\newblock Certificate transparency in google chrome: Past, present, and future.
\newblock {\em {IEEE} Secur. Priv.}, 19(6):112--118, 02021.

\bibitem{does-ct-break-the-web}
E. Stark, R. Sleevi, R. Muminovic, D. O'Brien, E. Messeri, A. Porter Felt, B. McMillion,  P. Tabriz.
\newblock Does certificate transparency break the web? measuring adoption and error rate.
\newblock {\em Proc.\ IEEE Security and Privacy}, 02019.

\bibitem{once-and-future}
P. Syverson.
\newblock The once and future onion.
\newblock {\em Proc.\ ESORICS}, 02017.

\bibitem{onion-discovery-attacks}
P. Syverson, M. Finkel, S. Eskandarian,  D. Boneh.
\newblock Attacks on onion discovery and remedies via self-authenticating traditional addresses.
\newblock {\em ACM WPES}, 02021.

\bibitem{secdev19}
P. Syverson  M. Traudt.
\newblock Self-authenticating traditional domain names.
\newblock {\em Proc.\ IEEE SecDev}, 02019.

\bibitem{plex}
F. Valsorda.
\newblock How Plex is doing HTTPS for all its users.
\newblock \url{https://words.filippo.io/how-plex-is-doing-https-for-all-its-users/}, 02015.

\bibitem{h-e-securedrop}
SecureDrop.
\newblock Getting an onion name for your SecureDrop.
\newblock \url{https://securedrop.org/faq/getting-onion-name-your-securedrop/}.

\bibitem{onio-ns}
J. Victors, M. Li,  X. Fu.
\newblock The onion name system.
\newblock {\em PoPETs}, 02017(1), 02017.

\bibitem{winter}
P. Winter, A. Edmundson, L.M. Roberts, A. Dutkowska{-}Zuk, M. Chetty,  N. Feamster.
\newblock How do Tor users interact with onion services?
\newblock {\em Proc.USENIX Sec.}, 02018.

\end{thebibliography}

%%% Local Variables: 
%%% mode: latex 
%%% TeX-master: "../main"
%%% End:          
